1. We have added the ability to collapse/expand forum categories and widgets on forum home.
    Dismiss Notice
  2. All Civ avatars are brought back and available for selection in the Avatar Gallery! There are 945 avatars total.
    Dismiss Notice
  3. To make the site more secure, we have installed SSL certificates and enabled HTTPS for both the main site and forums.
    Dismiss Notice
  4. Civ6 is released! Order now! (Amazon US | Amazon UK | Amazon CA | Amazon DE | Amazon FR)
    Dismiss Notice
  5. Dismiss Notice
  6. Forum account upgrades are available for ad-free browsing.
    Dismiss Notice

need help bad

Discussion in 'Civ4 - Technical Support' started by jimkirk, Jan 25, 2009.

  1. jimkirk

    jimkirk Chieftain

    Joined:
    Oct 17, 2003
    Messages:
    524
    Location:
    brooklyn, n.y.
    i bought when it came out the original civ4 then added the direct2drive version expansion bts ok everythingh worked fine and dandy the game and the mods till i went to install the 3.17 patch well since my version of bts was direc2drive i got the 3.17 patch from them except it doesnt patch anything it just asks me if i want to uninstall everything .. now i dont know what to do
    i'll be dammed if i can find my original cd .. i cant see any uninstall links and control panel civ4 either vanilla or bts doesnt even show up there

    p.s. i found my original vanilla and warlords disk but i dont know how its going to help me last i checked i didnt even see the .exe in the folder .. sigh
     
  2. ori

    ori Repair Guy Super Moderator

    Joined:
    Dec 17, 2005
    Messages:
    15,877
    Location:
    Baden-Württemberg, Germany
    you should probably ask the d2d tech support for a new download of the patch, it is possible that their patch did not download correctly.

    If you have all install media you could of course try uninstalling and reinstalling everything and then try if the patch works (in case something screwed up since you last install) but there is no reason why a patch should prompt you for uninstall. Are you sure the game is not already patched? what does the about this build screen in the game tell you?
     
  3. jimkirk

    jimkirk Chieftain

    Joined:
    Oct 17, 2003
    Messages:
    524
    Location:
    brooklyn, n.y.
    when i bought the game it was version 3.13 and it worked well ... lately i wanted to play a few of the newer mods but those were for version 3.17 so i went to d/l the 3.17 patch from d2d but it prompted me to uninstall .. i fugured it would uninstall the old and then install the new .. but alas it doesnt work the game executable disappeared .. i cant even get a game splash screen even be4 i "installed" the patch the game simply wouldnt load

    so im thinking to simply delete everything yes the uninstall disappeared too
    and delete registry reference to civ4 and then install everythinbg all over again i do have win vista home premium 32 bit
     
  4. ori

    ori Repair Guy Super Moderator

    Joined:
    Dec 17, 2005
    Messages:
    15,877
    Location:
    Baden-Württemberg, Germany
    the below includes everything you need to remove in a complete uninstall (its not custom made though), however I have no idea what d2d uses as keys :dunno:


    install the most recent version of DirectX 9c from Microsoft

    then do the following for a clean reinstall:

    Uninstall and Reinstall Civ4 Warlords BtS :

    Try to follow this order when doing stuff:
    Use Control panel to uninstall Beyond the Sword, then Warlords, then Civ4
    Delete "...\documents and settings\<username>\my documents\my games\sid meier's civilization 4" manually
    Delete "...\documents and settings\<username>\my documents\my games\warlords" manually
    Delete "...\documents and settings\<username>\my documents\my games\beyond the sword" manually
    Delete "...\documents and settings\<username>\application data\my games\sid meier's civilization 4" manually
    Delete "...\documents and settings\<username>\application data\my games\warlords" manually
    Delete "...\documents and settings\<username>\application data\my games\beyond the sword" manually
    Delete "...\documents and settings\<username>\local settings\application data\my games\sid meier's civilization 4" manually
    Delete "...\documents and settings\<username>\local settings\application data\my games\warlords" manually
    Delete "...\documents and settings\<username>\local settings\application data\my games\beyond the sword" manually
    (note: application data is a hidden directory so you need to configure windows explorer to show hidden files, also these directories in application data are sometimes removed by the uninstall routine)
    Delete "...\Program Files\InstallShield Installation Information\{CFBCE791-2D53-4FCE-B3FB-D6E01F4112E8}" (Civ4)
    Delete "...\Program Files\InstallShield Installation Information\{3E4B349F-10B5-4586-9D99-489A90A8B228}" (Warlords)
    Delete "...\Program Files\InstallShield Installation Information\{32E4F0D2-C135-475E-A841-1D59A0D22989}" (BtS)
    (note: InstallShield Installation Information is a hidden directory so you need to configure windows explorer to show hidden files).
    Install Civ4, immediately patch it to 1.61 (download it fresh from here)
    Install Warlords, immediately patch it to 2.08 (download it fresh from here)
    Install Beyond the Sword, immediately patch to 3.17 (download it fresh from here).
     
  5. jimkirk

    jimkirk Chieftain

    Joined:
    Oct 17, 2003
    Messages:
    524
    Location:
    brooklyn, n.y.
    im going to do as you suggest .. 1 question if my warlords disc which is kinda scratched may gibve me problems installi8ng can i bypass that and just install bts straight onto vanilla civ4? does bts have all the necessary files thats needed?

    1 more thing you said patch 1.61 for vanila ? i thought they were up to 1.74 ? im confused
     
  6. ori

    ori Repair Guy Super Moderator

    Joined:
    Dec 17, 2005
    Messages:
    15,877
    Location:
    Baden-Württemberg, Germany
    you do not need warlords
    the bts installer patches the game to 1.74, but it sometimes fails if the game is not already patched to 1.61 :)
     
  7. jimkirk

    jimkirk Chieftain

    Joined:
    Oct 17, 2003
    Messages:
    524
    Location:
    brooklyn, n.y.
    so far vanilla works fine just installed and tested .. ill post here if everything else works fine again
     
  8. jimkirk

    jimkirk Chieftain

    Joined:
    Oct 17, 2003
    Messages:
    524
    Location:
    brooklyn, n.y.
    ok loaded warlords so far everything is fine

    however when i loaded bts its version 3.13 and it gets stuck loading by "check xml "

    then stops responding i tried installing the 3.17 patch from d2d and again it asks if i want to remove the application plus all the folders from it so i chose not to

    the game files was 1.73 gb the patch files was 254 mb maybe something is wrong with that file

    im still waiting for a email answer from d2d
     
  9. jimkirk

    jimkirk Chieftain

    Joined:
    Oct 17, 2003
    Messages:
    524
    Location:
    brooklyn, n.y.
    so far i was able to get regular bts to work heres how i got it to work i reinstalled the oroginal d/l i got from them last year thats version 3.13 then i installed the d2d version of 3.17 patch this time it worked

    i was even able to start playing the planetfall mod

    howver 9 times out of 10 when i right click on the shortcut and click on run as administrater (only way 3.17 will run on vista) the mouse icon becomes a circle as if soemthing will happen but then nada nothibng happens and the game loader doesnt even show up

    why? its frustrating .. civ 3 conquest and all the mods run right .. but civ4 just isnt running anymore
     
  10. ori

    ori Repair Guy Super Moderator

    Joined:
    Dec 17, 2005
    Messages:
    15,877
    Location:
    Baden-Württemberg, Germany

Share This Page